Name:           nvi
Version:        2.2.1
Release:        poem%{?dist}
Summary:		4.4BSD re-implementation of vi

Group:          Applications/Editors
License:        BSD
URL:            https://github.com/lichray/nvi2
Source0:	https://github.com/lichray/nvi2/archive/v%{version}.tar.gz#/nvi-%{version}.tar.gz
Patch3: 	nvi2-2.2.0-el64.patch
Patch5: 	nvi2-2.2.0-el7-db185.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake3 >= 3.9.0, glibc-devel, glibc-headers, ncurses-devel, libdb1, libbsd-devel, sharutils, groff-base

Requires: glibc, ncurses-libs, libdb1, libbsd

%description
Vi is the original screen based text editor for Unix systems.
It is considered the standard text editor, and is available on
almost all Unix systems.

Nvi is intended as a "bug-for-bug compatible" clone of the original
BSD vi editor. As such, it doesn't have a lot of snazzy features as do
some of the other vi clones such as elvis and vim. However, if all
you want is vi, this is the one to get.

%prep
%setup -q -n nvi2-%{version}
%patch3 -p1 -b .el64
%patch5 -p1 -b .linux-db185

%build
%cmake3
%make_build

# build man
groff -man -Tascii < man/vi.1 > man/nvi.0
gzip -c man/vi.1 > man/nvi.1.gz

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/cat1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/tmp/vi.recover
chmod 01777 ${RPM_BUILD_ROOT}%{_localstatedir}/tmp/vi.recover
install -m 0755 nvi ${RPM_BUILD_ROOT}%{_bindir}
ln ${RPM_BUILD_ROOT}%{_bindir}/nvi ${RPM_BUILD_ROOT}%{_bindir}/nview
ln ${RPM_BUILD_ROOT}%{_bindir}/nvi ${RPM_BUILD_ROOT}%{_bindir}/nex
install -m 0755 nvi ${RPM_BUILD_ROOT}%{_bindir}
install -m 0755 -T recover ${RPM_BUILD_ROOT}%{_bindir}/nvi.recover
install -m 0444 -T man/nvi.0 ${RPM_BUILD_ROOT}%{_mandir}/cat1/nvi.1
ln ${RPM_BUILD_ROOT}%{_mandir}/cat1/nvi.1 ${RPM_BUILD_ROOT}%{_mandir}/cat1/nex.1
ln ${RPM_BUILD_ROOT}%{_mandir}/cat1/nvi.1 ${RPM_BUILD_ROOT}%{_mandir}/cat1/nview.1
install -m 0444 man/nvi.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1
ln ${RPM_BUILD_ROOT}%{_mandir}/man1/nvi.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/nex.1.gz
ln ${RPM_BUILD_ROOT}%{_mandir}/man1/nvi.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/nview.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_mandir}/*/*
%{_bindir}/nex
%{_bindir}/nvi
%{_bindir}/nview
%{_bindir}/nvi.recover
%defattr(-,root,root,01777)
%dir %{_localstatedir}/tmp/vi.recover

%changelog
* Wed Oct 25 2023 Yasuhito FUTATSUKI <futatuki@poem.co.jp> - 2.2.1-poem
- Update to nvi 2.2.1

* Sun Dec 13 2020 Yasuhito FUTATSUKI <futatuki@poem.co.jp> - 2.2.0-poem
- Switch to nvi2 (nvi2 2.2.0)

* Fri Mar 24 2017 Yasuhito FUTATSUKI <futatuki@poem.co.jp> - 1.81.6-2.poem
- rebuilt for CentOS 7

* Thu Jun 24 2010 Matěj Cepl <mcepl@redhat.com> - 1.81.6-2
- Fixing review comments

* Tue Jun 22 2010 Matěj Cepl <mcepl@redhat.com> - 1.81.6-1
- Initial experimental package
